petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESFASSetInjection

Sets the function to be used to inject the solution from level l to l-1.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetInjection(SNES snes, PetscInt level, Mat mat)

### Input Parameters

+ snes - the multigrid context
mat -the restriction matrix
level -the level (0 is coarsest) to supply [Do not supply 0]

### Notes

If you do not set this, the restriction and rscale is used to project the solution instead.

### Keywords

FAS, MG, set, multigrid, restriction, level

### See Also

SNESFASSetInterpolation(), SNESFASSetRestriction()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages